[tip:core/rcu] rcutorture: Add datestamp argument to kvm.sh

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Commit-ID:  847bfd254399eebc8752d39f43628e6c1baac076
Gitweb:     http://git.kernel.org/tip/847bfd254399eebc8752d39f43628e6c1baac076
Author:     Paul E. McKenney <paulmck@xxxxxxxxxxxxxxxxxx>
AuthorDate: Sat, 28 Sep 2013 18:44:11 -0700
Committer:  Paul E. McKenney <paulmck@xxxxxxxxxxxxxxxxxx>
CommitDate: Tue, 3 Dec 2013 10:11:10 -0800

rcutorture: Add datestamp argument to kvm.sh

Allow datestamp to be specified to allow tests to be broken up and run
in parallel.

Signed-off-by: Paul E. McKenney <paulmck@xxxxxxxxxxxxxxxxxx>
Cc: Greg KH <gregkh@xxxxxxxxxxxxxxxxxxx>
---
 tools/testing/selftests/rcutorture/bin/kvm.sh | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/tools/testing/selftests/rcutorture/bin/kvm.sh b/tools/testing/selftests/rcutorture/bin/kvm.sh
index 46c75ee..9fcceed 100644
--- a/tools/testing/selftests/rcutorture/bin/kvm.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm.sh
@@ -50,11 +50,13 @@ configs=" sysidleY.2013.06.19a \
 	  PT2-NH \
 	  NT1-nh \
 	  NT3-NH"
+ds=`date +%Y.%m.%d-%H:%M:%S`
 
 usage () {
 	echo "Usage: $scriptname optional arguments:"
 	echo "       --builddir absolute-pathname"
 	echo "       --configs \"config-file list\""
+	echo "       --datestamp string"
 	echo "       --duration minutes"
 	echo "       --rcu-kvm absolute-pathname"
 	echo "       --results absolute-pathname"
@@ -98,6 +100,11 @@ do
 		configs="$2"
 		shift
 		;;
+	--datestamp)
+		checkarg --datestamp "(relative pathname)" "$#" "$2" '^[^/]*$' '^--'
+		ds=$2
+		shift
+		;;
 	--duration)
 		checkarg --duration "(minutes)" $# "$2" '^[0-9]*$' error
 		dur=$2
@@ -147,13 +154,12 @@ if test -z "$resdir"
 then
 	resdir=$KVM/res
 	mkdir $resdir || :
-	ds=`date +%Y.%m.%d-%H:%M:%S`
-	mkdir $resdir/$ds
-	echo Datestamp: $ds
 else
-	mkdir -p "$resdir"
-	ds=""
+	mkdir -p "$resdir" || :
 fi
+mkdir $resdir/$ds
+echo Datestamp: $ds
+
 pwd > $resdir/$ds/testid.txt
 if test -d .git
 then
--
To unsubscribe from this list: send the line "unsubscribe linux-tip-commits" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Linux Stable Commits]     [Linux Stable Kernel]     [Linux Kernel]     [Linux USB Devel]     [Linux Video &Media]     [Linux Audio Users]     [Yosemite News]     [Linux SCSI]

  Powered by Linux